Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class FiltersType

    java.lang.Object
      org.apache.cxf.configuration.security.FiltersType

    public class FiltersType

extends java.lang.Object

Java class for FiltersType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FiltersType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="include" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="exclude" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.util.List<java.lang.String>` | `exclude`
`protected java.util.List<java.lang.String>` | `include`

Constructor Summary
`FiltersType()`

Method Summary
`java.util.List<java.lang.String>` | `getExclude()` Gets the value of the exclude property.
`java.util.List<java.lang.String>` | `getInclude()` Gets the value of the include property.
`boolean` | `isSetExclude()`
`boolean` | `isSetInclude()`
`void` | `unsetExclude()`
`void` | `unsetInclude()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### include

    protected java.util.List<java.lang.String> include

### exclude

    protected java.util.List<java.lang.String> exclude

Constructor Detail

### FiltersType

    public FiltersType()

Method Detail

### getInclude

    public java.util.List<java.lang.String> getInclude()

  Gets the value of the include property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the include property.

  For example, to add a new item, do as follows:

          getInclude().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### isSetInclude

    public boolean isSetInclude()

### unsetInclude

    public void unsetInclude()

### getExclude

    public java.util.List<java.lang.String> getExclude()

  Gets the value of the exclude property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the exclude property.

  For example, to add a new item, do as follows:

          getExclude().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### isSetExclude

    public boolean isSetExclude()

### unsetExclude

    public void unsetExclude()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF